Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginMenuItem

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginMenuItem

    public class PluginMenuItem

extends java.lang.Object

This class wraps JMenuItem for the plug-in.

Author:

Constructor Summary
`PluginMenuItem(java.lang.String name, PluginAction action)` Constructor
`PluginMenuItem(java.lang.String name, PluginDoSthAbstractAction action)`

Method Summary
`PluginAction` | `getAction()`
`protected javax.swing.JMenuItem` | `getJMenuItem()`
`java.lang.String` | `getText()`
`void` | `setEnable(boolean enable)` Sets true if this PluginMenuItem is enabled
`void` | `setToolTipText(java.lang.String text)` Sets the ToolTipText of this PluginMenuItem.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginMenuItem

    public PluginMenuItem(java.lang.String name,
                          PluginAction action)

  Constructor

  Parameters:
    `name` -
    `action` -

### PluginMenuItem

    public PluginMenuItem(java.lang.String name,
                          PluginDoSthAbstractAction action)

Method Detail

### getText

    public java.lang.String getText()

  Returns:
    the text of this PluginMenuItem.

### getAction

    public PluginAction getAction()

  Returns:
    the PluginAction of this PluginMenuItem.

### setEnable

    public void setEnable(boolean enable)

  Sets true if this PluginMenuItem is enabled

  Parameters:
    `true` - if this PluginMenuItem is enabled, false otherwise.

### setToolTipText

    public void setToolTipText(java.lang.String text)

  Sets the ToolTipText of this PluginMenuItem.

  Parameters:
    `text` -

### getJMenuItem

    protected javax.swing.JMenuItem getJMenuItem()

  Returns:
    the JMenuItem of this PluginMenuItem.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD